#ifndef RUMD_BASE_H
#define RUMD_BASE_H

/*
    Copyright (C) 2010  Thomas Schrøder

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    LICENSE.txt file for license details.
*/

////////////////////////////////////////////////////////////
// This header defines constants in the RUMD code.
////////////////////////////////////////////////////////////

// The current version number.
const char VERSION[] = "2.0";

// The dimension of space (future release usage).
const unsigned int DIM = 3;

// Turn on or off periodic boundary in x,y,z-direction.
const bool periodicInX = true;
const bool periodicInY = true;
const bool periodicInZ = true;

// The number of particle types in the simulation.
const unsigned int MaxNumTypes = 5;

// The number of parameters per interaction.
const unsigned int NumParam = 12;

// The maximum number of PairPotential objects that can exist at a time
// Note that MaxNumPP_Objects*MaxNumTypes*MaxNumTypes*NumParam*sizeof(float)
// must fit into constant memory, ie 64 K
const unsigned int MaxNumPP_Objects = 10;

// Defines the size to be allocated in kernels.
const unsigned int simulationBoxSize = 8;

const unsigned int rumd_ioformat = 2;


enum SortingScheme {SORT_X, SORT_XY, SORT_XYZ};

#endif // RUMD_BASE_H
